Bug 489755 - Miro 2.0 requires rb_libtorrent >= 0.14. 0.13 may cause download problems.
Miro 2.0 requires rb_libtorrent >= 0.14. 0.13 may cause download problems.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
http://bugzilla.pculture.org/show_bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 13:48 EDT by George Chriss
Modified: 2010-08-25 20:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.0.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Chriss 2009-03-11 13:48:01 EDT
Description of problem:
'yum install Miro' installs rb_libtorrent 0.13 and rb_libtorrent-python 0.13 dependencies.  Miro 2.0 is built against rb_libtorrent 0.14.

The version difference appears to be the cause of torrents stuck on "starting up" in Miro after download.  Details:

http://bugzilla.pculture.org/show_bug.cgi?id=11572



Version-Release number of selected component (if applicable):
Miro revision 9276
Kernel 2.6.27.19-170.2.35.fc10.x86_64 
rb_libtorrent 0.13.1-4.fc10
rb_libtorrent-python 0.13.1-4.fc10


How reproducible:
Always


Steps to Reproduce:
1. 'yum install Miro'
2. Download a trackerless, web-seeded torrent in Miro.
3. Miro downloads all torrent bytes but does not complete the download.


Actual results:
Stuck on "starting up" in Miro after download.

Expected results:
Normal completion of the download.


Additional info:
Bug may depend on bug 478924: Build failures with rb_libtorrent 0.14.x
Comment 1 Alex Lancaster 2009-03-14 06:13:54 EDT
Odd, I thought that Miro did work with 0.13.x.    It works for most of the downloads from the feeds.  Is this for pure torrents, i.e. not channels available through the Miro Guide?

Will: I thought there was a patch applied upstream in 2.0.2 to allow it to compile against 0.13.x?

In any case, we may be able to fix this in F-10 by re-enablling compilation of the internal copy of rb_libtorrent, rather using the system rb_libtorrent.
Comment 2 will kahn-greene 2009-03-14 12:52:49 EDT
1) I did fix Miro so that it'll work with a system installation of libtorrent 0.13 or 0.14.  That should work fine for all things it works fine for.  ;)

The problem in bug 11572 is that George has a "single-file, trackerless (DHT), web-seeded .torrent created from Mainline BitTorrent/6120 after download" and that this doesn't work with Miro when using libtorrent 0.13.

The best I can figure is that libtorrent 0.13 doesn't support whatever it is that this kind of torrent needs or it's one of many things that were fixed in 0.14.

George's testing suggests that if you have Miro use its libtorrent 0.14 instead of the system libtorrent 0.13, that will fix the issue.

As an aside, I haven't spent much time looking into this, so everything I'm saying is second hand information.

George: feel free to chime in here if I've misconstrued things.
Comment 3 Alex Lancaster 2009-03-16 05:23:39 EDT
George: do you have a link to the kind of torrent you are getting this bug so I can test whether compiling the internal 0.14 copy of rb_libtorrent in Miro on F-10 fixes this bug?
Comment 4 Alex Lancaster 2009-03-16 06:13:23 EDT
New pending build:

http://admin.fedoraproject.org/updates/Miro-2.0.3-1.fc10

about to go to updates-testing which uses internal copy of libtorrent.  Please test when it hits updates-testing to see if it fixes your issue.
Comment 5 George Chriss 2009-03-16 09:15:59 EDT
re #4: http://www.archive.org/download/upua_ccsg_rally_for_relief_9feb2009/upua_ccsg_rally_for_relief_9feb2009.ogg

re #2:  This is accurate.  I tried to run client_test to better isolate the problem, but ran into issues with building Rasterbar 0.13.1 from my compilation of Boost 1.38.0.

Sincerely, George
Comment 6 Fedora Update System 2009-03-16 15:52:16 EDT
Miro-2.0.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2766
Comment 7 Fedora Update System 2009-03-18 15:15:22 EDT
Miro-2.0.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.